#
# spec file for package plug
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:           plug
Version:        1.1
Release:        lp150.2.8
Summary:        Linux software for Fender Mustang amplifiers
Group:          Hardware/Other

License:        GPL-3.0+
Url:            http://piorekf.org/plug/
Source0:        %{name}-%{version}.tar.bz2
Source1:        %{name}.desktop
Source2:        50-mustang.rules

BuildRequires:  gcc-c++
BuildRequires:  libqt4-devel
BuildRequires:  pkgconfig(libusb-1.0)

%if 0%{?suse_version}
BuildRequires:  update-desktop-files
%endif

%if 0%{?fedora_version}
BuildRequires:  desktop-file-utils
%endif

%description
Linux replacement for Fender FUSE software for Mustang amps.

%if 0%{?fedora_version}
%define qmake qmake-qt4
%else
%define qmake qmake
%endif

%prep
%setup -q

%build
%qmake QMAKE_CFLAGS="%{optflags}" QMAKE_CXXFLAGS="%{optflags}" QMAKE_STRIP=echo
make %{?_smp_mflags}

%install
install -s -D -m 755 %{name} %{buildroot}%{_bindir}/%{name}
install -D -m 644 %{SOURCE1} %{buildroot}%{_datadir}/applications/%{name}.desktop

%if 0%{?suse_version}
%suse_update_desktop_file %{name}
%endif

%if 0%{?fedora_version}
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
%endif

%{__mkdir_p} %{buildroot}/usr/lib/udev/rules.d/50-mustang.rules
%{__install} -m644 %{SOURCE2} %{buildroot}/usr/lib/udev/rules.d/50-mustang.rules

%if 0%{?mandriva_version}
%post
%update_menus
%postun
%clean_menus
%endif


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%dir /usr/lib/udev
%dir /usr/lib/udev/rules.d
/usr/lib/udev/rules.d/50-mustang.rules

%changelog
* Sun Sep  7 2014 dmacvicar@suse.de
- add udev rule to get the amp working out of the
  box
* Mon May 28 2012 adam@mizerski.pl
- update to 1.1
  - brightness switch in amplifier’s settings
  - USB gain knob in amplifier’s advance controls
  - accessibility descriptions in the interface
  - updated effect’s parameter names
  - other small changes
* Fri Mar 16 2012 adam@mizerski.pl
- updated to latest git version 7d453ae2ca98
- updated license information
* Sun Dec 11 2011 adam@mizerski.pl
- update to 1.0.999 (revision bea2b9eea3ae)
* Wed Sep 14 2011 adam@mizerski.pl
- update to 1.0
- added desktop file
* Thu Apr 28 2011 adam@mizerski.pl
- new package
